<?php
ob_start();
define('NTOP', 1);
$title = 'Кабинет';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : NULL;
switch($act)
	{
		default:

	$platforms = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'"));
	$news_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news`"));
    $plaforms_no_moder = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
    $chat_sms = mysql_num_rows(mysql_query("SELECT * FROM `sms`"));
		echo '<div class="title2">Личный кабинет, <strong>'.$user_data['login'].'</strong></div>';

		

	if($user_data['level'] == 2) echo '<div class="topni"><img src="/img/index/panel.png" alt="*" /> <a href="http://king-top.ru/adm_panel/index.php">Админ-Панель </a></br></div>';

		echo '<div class="topni"><img src="/img/index/sait.png" alt="*" /> <a href="http://king-top.ru/m/office/platforms"><b>Мои сайты</b></a> ['.$platforms.' из '.$set['max_platforms'].']</br></div>';
		echo '<div class="topni"><img src="/img/index/akk.png" alt="*" /> <a href="http://king-top.ru/m/office/settings">Настройки аккаунта</a></br></div>';
		echo '<div class="topni"><img src="/img/index/mch.png" alt="*" /> <a href="http://king-top.ru/chat.php">Мини Чат</a> ('.$chat_sms.')<br/></div>';
		//echo '<img src="/img/index/icon.png" alt="*" /> <a href="http://king-top.ru/m/new">Сайты на модерации</a> ['.$plaforms_no_moder.']</br>';
		echo '<div class="topni"><img src="/img/index/obn.png" alt="*" /> <a href="http://king-top.ru/m/news">Обновления </a>[<b>'.$news_all.'</b>]</br></div>';
		echo '<div class="topni"><img src="/img/index/exit.png" alt="*" /> <a href="http://king-top.ru/exit">Выход</a></div>';

		break;

		case 'platforms':
		$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
		$platforms = mysql_num_rows($platform);
		echo '<div class="title2">Площадки | <small>Всего площадок: <strong>'.$platforms.'</strong> из <strong>'.$set['max_platforms'].'</strong></small></div>';
		if($platforms == 0)
			{
				echo '<div class="stat">';
				echo 'На данный момент у вас нет площадок.</div>';
				echo '<div class="stat">';
				echo '<a href="http://king-top.ru/m/office/addPlatform">Добавить площадку</a><br/>';
				echo '</div>';
			}
		else
			{
				$total=intval(($platforms-1)/$page_platforms)+1;
				$page=abs(intval($_GET['page']));
				if(empty($page) OR $page < 0)
					{
						$page = 1;
					}
				if($page > $total)
					{
						$page = $total;
					}
				$past=intval($platforms/$page_platforms);
				$start=$page*$page_platforms-$page_platforms;
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
				while($row = mysql_fetch_array($platform))
					{
					echo '<div class="stat">';
						$status = $row['status'] == 1 ? '<font color=green>Проверена</font>' : '<font color=red>На модерации</font>';

						$start++;
						echo '<a href="http://king-top.ru/out/'.$row['id'].'"><strong>'.$row['name'].'</strong></a> [ID: '.$row['id'].' | '.$status.'] <a href="http://king-top.ru/stats/'.$row['id'].'"> <img src="/img/index/s.gif" alt="?"></a> <br/> ';

						if(mb_strlen($row['about']) > 50)
							{
								$text = substr($row['about'],0,50);
								echo ''.$text.'...<br/>';
							}
						else
							{
								echo ''.$row['about'].'<br/>';
							}

						echo '
<a href="http://king-top.ru/m/office/editPlatform/'.$row['id'].'">Ред</a> |
<a href="http://king-top.ru/m/office/deletePlatform/'.$row['id'].'"> Уд</a> |
<a href="http://king-top.ru/m/office/code/'.$row['id'].'"> Счетчик</a></div>';
					}
				navigation($platforms,$page_platforms,$page,'http://king-top.ru/m/office.php?act=platforms&',$total);
				echo '<div class="main"><a href="http://king-top.ru/m/office/addPlatform">Добавить площадку</a></div>';
			}
		break;

		case 'add_platform':
		echo '<div class="title2">Добавление площадки</div>';
		if(!isset($_POST['ok']))
			{
				$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
				$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
				$image_biger = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'biger'");
				$image_one = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'one'");
				echo '<div class="main">';
				echo '
				<form action="http://king-top.ru/m/office/addPlatform/2" method="post">
				<font size=2>*</font> Название сайта [max. 35]:<br/>
				<input type="text"  class="input" name="name" maxlength="35" value="" /><br/>
				<font size=2>*</font> URL сайта(без http:// и т.п)[max. 35]:<br/>
				<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
				<font size=2>*</font> Описание сайта [max. 250]:<br/>
				<textarea name="about" cols="38" rows="8"></textarea><br/>
				<font size=2>*</font> Категория:<br/>
				<select name="cat">
				';
				$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
				if(mysql_num_rows($cats) > 0)
				{
				while ($cat = mysql_fetch_assoc($cats))
				{
				echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
				}
				}
				echo '</select><br/><br/>';
				
             
echo '<small><strong>Для главной страницы сайта: <font size=2>*</font></strong></small><br/>';
				
				///////////////////////// Веритикальный Счетчик
				
				while($count_big = mysql_fetch_array($image_big))
				{
				echo '<input type="radio" name="imagebig" value="'.$count_big['name'].'">';
				echo '<img src="http://king-top.ru/images/big/'.$count_big['name'].'.gif" alt=""><br/>';
				}
				
				//////////////////////// Горизонтальный Счетчик
				
				while($count_biger = mysql_fetch_array($image_biger))
				{
				echo '<input type="radio" name="imagebig" value="'.$count_biger['name'].'">';
				echo '<img src="http://king-top.ru/images/big/'.$count_biger['name'].'.gif" alt=""><br/>';
				}
             
				echo '<hr/>';
				echo '<small><strong>Для остальных страниц сайта: <font size=2>*</font></strong></small><br/>';
				while($count_small = mysql_fetch_array($image_small))
				{
				echo '<input type="radio" name="imagesm" value="'.$count_small['name'].'">';
				echo '<img src="http://king-top.ru/images/mini/'.$count_small['name'].'.gif" alt=""><br/>';
				}
				
				echo '<hr/>';
				echo '<small><strong>Онлайн: <font size=2>*</font></strong></small><br/>';
				while($count_one = mysql_fetch_array($image_one))
				{
				echo '<input type="radio" name="imageone" value="'.$count_one['name'].'">';
				echo '<img src="http://king-top.ru/images/on/'.$count_one['name'].'.gif" alt=""><br/>';
				}		

				echo '</br><font size=2>*</font></strong> - Все поля обязательные к заполнению</br></br><input name="ok" type="submit" value="Добавить" />
				</form>
				</div>';
			}
		else
			{
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
				$platforms_count = mysql_num_rows($platform);
				if($platforms_count >= $set['max_platforms'])
					{
						echo '<div class="error">';
						echo 'Достигнут лимит площадок <strong>'.$set['max_platforms'].'</strong> , удалите лишние площадки или создайте новый аккаунт!<br/>';
						echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a><br/>';
						echo '</div>';
					}
				else
					{
						$url = htmlspecialchars(trim($_POST['url']));
						$name = htmlspecialchars(trim($_POST['name']));
						$about = htmlspecialchars(trim($_POST['about']));
						$cat = intval($_POST['cat']);
						$imagebig = htmlspecialchars(trim($_POST['imagebig']));
                        $imagesm = htmlspecialchars(trim($_POST['imagesm']));
						$imageone = htmlspecialchars(trim($_POST['imageone']));
						$pr=getpr($url);
						$cy=getCI($url);
						$error = '';
						$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
						$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$imagebig."'"));
						if($isset_image == 0)
							{
								$error .= 'Ошибка! Нет такого изображения!<br/>';
							}
						if($isset_cat == 0)
							{
								$error .= 'Ошибка! Нет такой категории!<br/>';
							}
						if(empty($url) OR empty($name) OR empty($about) OR empty($cat) OR empty($imagebig) OR empty($imagesm) OR empty($imageone))
							{
								$error .= 'Ошибка! Не заполнены поля!<br/>';
							}
						if(mb_strlen($url) >= 35)
							{
								$error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';
							}
						if(mb_strlen($name) >= 35)
							{
								$error .= 'Ошибка! Поле "Название сайта" не должно быть больше 35 символов!<br/>';
							}
						if(mb_strlen($about) >= 250)
							{
								$error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 250 символов!<br/>';
							}
						if(!empty($error))
							{
								echo '<div class="topni">';
								echo $error;
								echo '<a href="http://king-top.ru/m/office/addPlatform">Назад</a></div>';
							}
						else
							{
				$insert_platform = mysql_query("INSERT INTO `".$prefix."sait` SET
              `id_user` = '" . $user_data['id'] . "',
              `name` = '" . mysql_real_escape_string($name) . "',
              `about` = '" . mysql_real_escape_string($about) . "',
              `category` = '" . $cat . "',
              `url` = '" . mysql_real_escape_string($url) . "',
              `imagebig` = '" . mysql_real_escape_string($imagebig) . "',
              `imagesm` = '" . mysql_real_escape_string($imagesm) . "',
			  `imageone` = '" . mysql_real_escape_string($imageone) . "',
              `status` = '" . $set['moderacia'] . "',
              `pr` = '" . mysql_real_escape_string($pr) . "',
              `cy` = '" . mysql_real_escape_string($cy) . "'");
								if($insert_platform)
									{
										echo '<div class="topni">';
										echo 'Площадка успешно добавлена!<br/>';
										echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a><br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="topni">';
										echo 'Площадка не добавлена , попробуйте снова!<br/>';
										echo '<a href="http://king-top.ru/m/office/addPlatform">Назад</a><br/>';
										echo '</div>';
									}
							}
					}
			}
		break;
		case 'edit_platform':
		if(!isset($_POST['ok']))
			{
				echo '<div class="title2">Изменение площадки</div>';
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
				$platform_count = mysql_num_rows($platform);
				$user_platform = mysql_fetch_array($platform);
				$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
				$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
				$image_biger = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'biger'");
				$image_one = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'one'");
				if($platform_count > 0)
					{
						echo '<div class="main">';
						echo '
						<form action="http://king-top.ru/m/office/editPlatform/2/'.$id.'" method="post">
						Название сайта [max. 35]:<br/>
						<input type="text"  class="input" name="name" maxlength="35" value="'.$user_platform['name'].'" /><br/>
						URL сайта(без http:// и т.п)[max. 35]:<br/>
						<input type="text"  class="input" name="url" maxlength="35" value="'.$user_platform['url'].'" /><br/>
						Описание сайта [max. 250]:<br/>
						<textarea name="about" cols="38" rows="8">'.$user_platform['about'].'</textarea><br/>
						Категория:<br/>
						<select name="cat">';
						$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
						if(mysql_num_rows($cats) > 0)
							{
								while($cat = mysql_fetch_assoc($cats))
									{
										$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
										echo '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';
									}
							}
						echo '</select><br/><br/>';

						echo '<small><strong>Для главной страницы сайта: <font size=2>*</font></strong></small><br/>';
						
						/////////////////// Вертикальный счетчик
						
						while($count_big = mysql_fetch_array($image_big))
							{
					$checked = ($user_platform['imagebig'] == $count_big['name']) ? ' checked="checked"' : '';
			echo '<input type="radio" name="imagebig" value="'.$count_big['name'].'"'.$checked.'>';
			echo '<img src="http://king-top.ru/images/big/'.$count_big['name'].'.gif" alt=""><br/>';
							}
							
						/////////////////// Горизонтальный счетчик	
							
							while($count_biger = mysql_fetch_array($image_biger))
							{
					$checked = ($user_platform['imagebig'] == $count_biger['name']) ? ' checked="checked"' : '';
			echo '<input type="radio" name="imagebig" value="'.$count_biger['name'].'"'.$checked.'>';
			echo '<img src="http://king-top.ru/images/big/'.$count_biger['name'].'.gif" alt=""><br/>';
							}

						echo '<hr/>';
				echo '<small><strong>Для остальных страниц сайта: <font size=2>*</font></strong></small><br/>';
						while($count_small = mysql_fetch_array($image_small))
							{
								$checked = ($user_platform['imagesm'] == $count_small['name']) ? ' checked="checked"' : '';
								echo '<input type="radio" name="imagesm" value="'.$count_small['name'].'"'.$checked.'>';
								echo '<img src="http://king-top.ru/images/mini/'.$count_small['name'].'.gif" alt=""><br/>';
							}
							
							echo '<hr>';
				echo '<small><strong>Онлайн: <font size=2>*</font></strong></small><br/>';
				while($count_one = mysql_fetch_array($image_one))
							{
								$checked = ($user_platform['imageone'] == $count_one['name']) ? ' checked="checked"' : '';
								echo '<input type="radio" name="imageone" value="'.$count_one['name'].'"'.$checked.'>';
								echo '<img src="http://king-top.ru/images/on/'.$count_one['name'].'.gif" alt=""><br/>';
							}
							

						echo '</br><font size=2>*</font></strong> - Все поля обязательные к заполнению</br></br><input name="ok" type="submit" value="Изменить" />
						</form>
						</div>';
					}
				else
					{
						echo '<div class="topni">';
						echo 'Данной площадки не существует!<br/>';
						echo '<a href="http://king-top.ru/m/office/platforms">Назад</a><br/>';
						echo '</div>';
					}
			}
		else
			{
				$cat = intval($_POST['cat']);
				$imagebig = htmlspecialchars(trim($_POST['imagebig']));
                $imagesm = htmlspecialchars(trim($_POST['imagesm']));
				$imageone = htmlspecialchars(trim($_POST['imageone']));
				$name = htmlspecialchars(trim($_POST['name']));
				$url = htmlspecialchars(trim($_POST['url']));
				$url = str_replace("http://","",$url);
				$about = htmlspecialchars(trim($_POST['about']));
				$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1"));
				$error = '';
				$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
				$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$imagebig."'"));
				if($isset_image == 0)
					{
						$error .= 'Ошибка! Нет такого изображения!<br/>';
					}
				if($isset_cat == 0)
					{
						$error .= 'Ошибка! Нет такой категории!<br/>';
					}
				if(empty($cat) OR empty($imagebig) OR empty($imagesm) OR empty($imageone) OR empty($name) OR empty($url) OR empty($about))
					{
						$error .= 'Ошибка!Не заполнены поля!<br/>';
					}
				if($platform_isset == 0)
					{
						$error .= 'У вас нет такой площадки!<br/>';
					}
				if(!empty($error))
					{
						echo '<div class="topni">';
						echo $error;
						echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a></div>';
					}
				else
					{
				$update_platform = mysql_query("UPDATE `".$prefix."sait` SET
                     `category` = '" . $cat . "',
                     `imagebig` = '" . mysql_real_escape_string($imagebig) . "',
                     `imagesm` = '" . mysql_real_escape_string($imagesm) . "',
					 `imageone` = '" . mysql_real_escape_string($imageone) . "',
                     `name` = '" . mysql_real_escape_string($name) . "',
                     `url` = '" . mysql_real_escape_string($url) . "',
                     `about` = '" . mysql_real_escape_string($about) . "',
                     `status` = '" . $set['moderacia'] . "'
                     WHERE `id` = '".$id."'");
						if($update_platform)
							{
								echo '<div class="topni">';
								echo 'Площадка успешно отредактирована!<br/>';
								echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a><br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="topni">';
								echo 'Площадка не отредактирована , попробуйте снова!<br/>';
								echo '<a href="http://king-top.ru/m/office/editPlatform/'.$id.'">Назад</a><br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'del_platform':
		$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
		$platform_isset_c = mysql_num_rows($platform_isset);
		if($platform_isset_c > 0)
			{
				$platform = mysql_fetch_array($platform_isset );
				echo '<div class="title2">Удаление площадки <strong>'.$platform['name'].'</strong></div>';
				if(!isset($_GET['ok']))
					{
						echo '<div class="main">';
						echo 'Вы действительно хотите удалить площадку <strong>'.$platform['name'].'</strong>?<br/>';
						echo '<a href="http://king-top.ru/m/office/deletePlatform/'.$id.'/ok">Да</a> | <a href="http://king-top.ru/m/office/platforms">Нет</a><br/>';
						echo '</div>';
					}
				else
					{
						$del_hosts = mysql_query("DELETE FROM `".$prefix."hosts` WHERE `id_sait` = '".$id."' limit 1");
						$del_hits = mysql_query("DELETE FROM `".$prefix."hits` WHERE `id_sait` = '".$id."' limit 1");
						$del_online = mysql_query("DELETE FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."' limit 1");
						$del_platform = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
						if($del_hosts AND $del_hits AND $del_online AND $del_platform)
							{
								echo '<div class="topni">';
								echo 'Площадка успешно удалена!<br/>';
								echo '<a href="http://king-top.ru/m/office">В кабинет</a><br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="topni">';
								echo 'В процессе удаления произошла ошибка!<br/>';
								echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a><br/>';
								echo '</div>';
							}
					}
			}
		else
			{
				echo '<div class="topni">';
				echo 'У вас нет такой площадки!<br/>';
				echo '<a href="http://king-top.ru/m/office/platforms">К площадкам</a><br/>';
				echo '</div>';
			}
		break;
		case 'code':
			echo '<div class="title2">HTML-код , для установки на сайте</div>';
			if(!isset($_GET['id']))
				{
			echo '<div class="main">';
			echo 'Код счётчика для главной страницы:<br/>';
			echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://king-top.ru/image/<font color=red>ID_ПЛОЩАДКИ</font>" alt="king-top.ru"/>'.htmlspecialchars('<').'/а></strong> <br/>';
			echo '<hr/>';
             echo 'Код счётчика для остальных страниц:<br/>';
			echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://king-top.ru/imageOther/<font color=red>ID_ПЛОЩАДКИ</font>" alt="king-top.ru"/>'.htmlspecialchars('<').'/а></strong> <br/>';
			echo '<hr/>';
			 echo 'Код счётчика для показа online:<br/>';
			echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://king-top.ru/imageone/<font color=red>ID_ПЛОЩАДКИ</font>" alt="king-top.ru"/>'.htmlspecialchars('<').'/а></strong> <br/>';
			echo '<hr/>';
			echo 'Где <strong>ID_ПЛОЩАДКИ</strong> - ID площадки , счётчик которой вы хотите поставить , ID - показывается рядом с площадкой!<br/>';
			echo '</div>';
			
				}
			else
				{
					$id = abs(intval($_GET['id']));
					echo '<div class="main">';
					echo 'Код счётчика для главной страницы [ID площадки: '.$id.']:<br/>';
					echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/'.$id.'">'.htmlspecialchars('<img').' src="http://king-top.ru/image/'.$id.'" alt="king-top.ru"/>'.htmlspecialchars('<').'/а><br/></strong>';

		            echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://king-top.ru/go/'.$id.'"><img src="http://king-top.ru/image/'.$id.'" alt="king-top.ru"/></a>').'"/><br/>';
		            echo '<hr/>';
                    echo 'Код счётчика для остальных страниц [ID площадки: '.$id.']:<br/>';
                    echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/'.$id.'">'.htmlspecialchars('<img').' src="http://king-top.ru/imageOther/'.$id.'" alt="king-top.ru"/>'.htmlspecialchars('<').'/а><br/></strong>';

		            echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://king-top.ru/go/'.$id.'"><img src="http://king-top.ru/imageOther/'.$id.'" alt="king-top.ru"/></a>').'"/><br/>';
					
					echo '<hr/>';
					echo 'Код счётчика показа online: [ID площадки: '.$id.']:<br/>';
                    echo '<strong>'.htmlspecialchars('<a').' href="http://king-top.ru/go/'.$id.'">'.htmlspecialchars('<img').' src="http://king-top.ru/imageone/'.$id.'" alt="king-top.ru"/>'.htmlspecialchars('<').'/а><br/></strong>';

		             echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://king-top.ru/go/'.$id.'"><img src="http://king-top.ru/imageone/'.$id.'" alt="king-top.ru"/></a>').'"/><br/>';
					
					echo '<hr>';
					
					echo '<a href="http://king-top.ru/m/office">В кабинет</a><br/>';
					echo '</div>';
				}
		break;
		
		
		case 'settings':
		echo '<div class="title2">Мои настройки</div>';
		if(!isset($_POST['ok']))
			{
				echo '<div class="main">';
				echo '<form action="http://king-top.ru/m/office/settings" method="post" name="form">';
				echo 'Площадок на страницу в кабинете:<br/>';
				echo '<input type="text" name="page_platforms" maxlength="2" class="do_button" value="'.$user_data['page_platforms'].'"/><br/>';
				echo 'Элементов на страницу в статистике:<br/>';
				echo '<input type="text" name="pages" maxlength="2" class="do_button" value="'.$user_data['pages'].'"/><br/>';
				echo 'Сайтов на страницу в категории:<br/>';
				echo '<input type="text" name="page_sait" maxlength="2" class="do_button" value="'.$user_data['page_sait'].'"/><br/>';
				echo 'Сайтов на страницу Топ-100 (Главная стр.):<br/>';
				echo '<input type="text" name="page_top" maxlength="2" class="do_button" value="'.$user_data['page_top'].'"/><br/>';
				echo 'Новостей на страницу:<br/>';
				echo '<input type="text" name="page_news" maxlength="2" class="do_button" value="'.$user_data['page_news'].'"/><br/>';
				echo 'Комментариев к новостям на страницу:<br/>';
				echo '<input type="text" name="page_newsc" maxlength="2" class="do_button" value="'.$user_data['page_newsc'].'"/><br/>';
				echo 'Комментариев к сайтам на страницу:<br/>';
				echo '<input type="text" name="page_sait_comments" maxlength="2" class="do_button" value="'.$user_data['page_sait_comments'].'"/><br/>';
				echo '<input name="ok" type="submit" value="Сохранить" /></form></div>';
				echo '</div>';
			}
		else
			{
				$page_platforms = abs(intval($_POST['page_platforms']));
				$pages = abs(intval($_POST['pages']));
				$page_sait = abs(intval($_POST['page_sait']));
				$page_top = abs(intval($_POST['page_top']));
				$page_news = abs(intval($_POST['page_news']));
				$page_newsc = abs(intval($_POST['page_newsc']));
				$page_sait_comments = abs(intval($_POST['page_sait_comments']));
				$error = '';
				if(empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top) or empty($page_news) or empty($page_newsc) or empty($page_sait_comments))
					{
						$error .= 'Ошибка!Одно из полей не заполнено<br/>';
					}
				if(mb_strlen($pages) > 2)
					{
						$error .= 'Ошибка! Поле "Элементов на страницу в статистике" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_sait) > 2)
					{
						$error .= 'Ошибка! Поле "Сайтов на страницу в категории" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_platforms) > 2)
					{
						$error .= 'Ошибка! Поле "Площадок на страницу" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_top) > 2)
					{
						$error .= 'Ошибка! Поле "Сайтов на страницу Топ-100" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_news) > 2)
					{
						$error .= 'Ошибка! Поле "Новостей на страницу" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_newsc) > 2)
					{
						$error .= 'Ошибка! Поле "Комментариев к новостям на страницу" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_sait_comments) > 2)
					{
						$error .= 'Ошибка! Поле "Комментариев к сайтам на страницу" содержит больше 2 символов! <br/>';
					}
				if(!empty($error))
					{
						echo '<div class="topni">';
						echo $error;
						echo '<a href="http://king-top.ru/m/office/settings">Назад</a></div>';
					}
				else
					{
						$up = mysql_query("UPDATE `".$prefix."users` SET `page_platforms` = '".$page_platforms."', `pages` = '".$pages."', `page_sait` = '".$page_sait."', `page_top` = '".$page_top."', `page_news` = '".$page_news."', `page_newsc` = '".$page_newsc."', `page_sait_comments` = '".$page_sait_comments."' WHERE `id` = '".$user_data['id']."'");
						if($up)
							{
								echo '<div class="topni">';
								echo '<font color=green>Настройки успешно изменены!</font><br/>';
								echo '</div>';
							}
					}
			}
		break;

	}

require_once ('foot.php');
?>